Subject: Re: bug#70932: FAIL tests/guix-shell.sh

From: Ludovic Courtès <[email-masked]>
Date: Sat, 25 May 2024 15:00:56 +0200

Christopher Baines <[email-masked]> skribis:

>> “make check TESTS=tests/guix-shell.sh” passes for me though with
>> 9c3a8a380bcfebdb77af61532e7bfec523d7bde8.
>
> I can just about see what's happening on this line now, I'm still not
> sure why the exit status means the test fails.
>
> I think I knew when I submitted the issue that the test was flaky as it
> passed on the second attempt.

I don’t think how this particular test is flaky: checking whether a
package’s ‘supported-systems’ matches the current system is fully
deterministic AFAICS.

But, who knows, it would be interesting to see if it eventually fails
when ran in a loop.

Closing?

Ludo’.